Loading...
Searching...
No Matches
Halide::Internal::Convert< FROM, TO > Struct Template Reference

`#include <Generator.h>`

## Static Public Member Functions

template<typename TO2 = TO, typename std::enable_if<!std::is_same< TO2, bool >::value >::type * = nullptr>
static TO2 | value (const FROM &from)
template<typename TO2 = TO, typename std::enable_if< std::is_same< TO2, bool >::value >::type * = nullptr>
static TO2 | value (const FROM &from)

## Detailed Description

template<typename FROM, typename TO>
struct Halide::Internal::Convert< FROM, TO >

Definition at line 490 of file Generator.h.

## Member Function Documentation

## value() [1/2]

template<typename FROM, typename TO>
template<typename TO2 = TO, typename std::enable_if<!std::is_same< TO2, bool >::value >::type * = nullptr>

TO2 Halide::Internal::Convert< FROM, TO >::value | ( | const FROM & | from | ) |

inline static

Definition at line 492 of file Generator.h.

## value() [2/2]

template<typename FROM, typename TO>
template<typename TO2 = TO, typename std::enable_if< std::is_same< TO2, bool >::value >::type * = nullptr>

TO2 Halide::Internal::Convert< FROM, TO >::value | ( | const FROM & | from | ) |

inline static

Definition at line 497 of file Generator.h.

The documentation for this struct was generated from the following file:

- src/Generator.h